## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XalanElemTextLiteralAllocator Class Reference

List of all members.

## Public Types

- typedef ElemTextLiteral data_type
- typedef ArenaAllocator< data_type > ArenaAllocatorType
- typedef ArenaAllocatorType::size_type size_type

## Public Member Functions

- XalanElemTextLiteralAllocator (MemoryManagerType &theManager, size_type theBlockCount)
    Construct an instance that will allocate blocks of the specified size.
- ~XalanElemTextLiteralAllocator ()
- data_type * create (StylesheetConstructionContext &constructionContext, Stylesheet &stylesheetTree, int lineNumber, int columnNumber, const XalanDOMChar *ch, XalanDOMString::size_type start, XalanDOMString::size_type length, bool preserveSpace, bool disableOutputEscaping)
    Construct an instance.
- bool ownsObject (const data_type *theObject)
    Determine if an object is owned by the allocator...
- void reset ()
    Delete all objects from the allocator.
- size_type getBlockCount () const
    Get the number of ArenaBlocks currently allocated.
- size_type getBlockSize () const
    Get size of an ArenaBlock, that is, the number of objects in each block.

## Member Typedef Documentation

typedef ArenaAllocator<data_type> XalanElemTextLiteralAllocator::ArenaAllocatorType

typedef ElemTextLiteral XalanElemTextLiteralAllocator::data_type

typedef ArenaAllocatorType::size_type XalanElemTextLiteralAllocator::size_type

## Constructor & Destructor Documentation

XalanElemTextLiteralAllocator::XalanElemTextLiteralAllocator | ( | MemoryManagerType & | theManager,
|  | size_type | theBlockCount
| ) |

Construct an instance that will allocate blocks of the specified size.

Parameters:

  theBlockSize | The block size.

XalanElemTextLiteralAllocator::~XalanElemTextLiteralAllocator | ( |  | ) |

## Member Function Documentation

data_type* XalanElemTextLiteralAllocator::create | ( | StylesheetConstructionContext & | constructionContext,
|  | Stylesheet & | stylesheetTree,
|  | int | lineNumber,
|  | int | columnNumber,
|  | const XalanDOMChar * | ch,
|  | XalanDOMString::size_type | start,
|  | XalanDOMString::size_type | length,
|  | bool | preserveSpace,
|  | bool | disableOutputEscaping
| ) |

Construct an instance.

Parameters:

  constructionContext | context for construction of object
  stylesheetTree | stylesheet containing element
  lineNumber | line number in document
  columnNumber | column number in document
  ch | pointer to character string for element
  start | starting offset of element
  length | number of characters in element
  preserveSpace | true is space should be preserved
  disableOutputEscaping | true if output escaping should be disabled

Returns:
  A pointer to the new instance.

size_type XalanElemTextLiteralAllocator::getBlockCount | ( |  | ) | const

Get the number of ArenaBlocks currently allocated.

Returns:
  The number of blocks.

size_type XalanElemTextLiteralAllocator::getBlockSize | ( |  | ) | const

Get size of an ArenaBlock, that is, the number of objects in each block.

Returns:
  The size of the block

bool XalanElemTextLiteralAllocator::ownsObject | ( | const data_type * | theObject | ) |

| Determine if an object is owned by the allocator...

void XalanElemTextLiteralAllocator::reset | ( |  | ) |

| Delete all objects from the allocator.

The documentation for this class was generated from the following file:

- XalanElemTextLiteralAllocator.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.